> For the complete documentation index, see [llms.txt](https://docs.rocketfuel.inc/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/transaction-listing.md).

# Transaction listing

The RKFL merchant portal is a one-stop solution for all merchant needs. The RKFL merchant portal offers a wide range of features ex: Dashboard, Transaction listing, Shopper listing, Reports,  Invoice, Fund, Account, Subscription, etc. Please see the RKFL merchant portal reference [here](https://docs.rocketfuelblockchain.com/user-guide-and-help-videos/merchant-user-guide). &#x20;

The RKFL doesn't publish all the APIs of the merchant portals. However, a few APIs are available to simulate the features on the merchant website.

This API accepts the merchant access token and returns the transaction list in a pagination manner.

The below screenshot display a transaction listing payload from the RKFL merchant portal.

![](/files/H1On9PuKfb11f92zWNDO)

<mark style="color:blue;">`GET`</mark> `transactions?limit=5&offset=0&from=2022-01-01&to=2022-07-20&timezone=-330`

#### Query Parameters

| Name                                       | Type   | Description                                                                                                                                                        |
| ------------------------------------------ | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| limit                                      | Number | The number of records to return is helpful in pagination.                                                                                                          |
| offset                                     | Number | Record starting from, helpful in pagination.                                                                                                                       |
| from                                       | Date   | Start date format "yyyy-mm-dd"                                                                                                                                     |
| to                                         | Date   | End date format "yyyy-mm-dd"                                                                                                                                       |
| timezone<mark style="color:red;">\*</mark> | Number | -330                                                                                                                                                               |
| query                                      | String | To search the record. Works on "Oder Id", "userId", "Transaction Id", "nativeAmount", "currency", "merchantId", "stockId", "firstName", "email", and "companyName" |

#### Headers

| Name                                            | Type   | Description                      |
| ----------------------------------------------- | ------ | -------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | "Bearer" + merchant access token |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "ok": true,
    "result": [
        {
            "offerId": "1657806690208",
            "name": "golu@yopmail.com",
            "email": "golu@yopmail.com",
            "orderDate": "Jul 14 2022",
            "orderTime": "07:22 PM",
            "displayStatus": "Pending",
            "paymentMethod": "Bank",
            "fiatAmount": "10.00",
            "fiatCurrency": "USD",
            "cryptoAmount": "10",
            "cryptoCurrency": "USD",
            "paymentMode": "dwolla",
            "txnHash": "NA",
            "partnerName": "partner",
            "paymentStatus": 0,
            "status": true,
            "receivedAmount": "0",
            "conversionRate": {
                "fiatCurrency": "USD",
                "rate": 1
            }
        },
        {
            "offerId": "8a0c7a4a18159f25501815bc0ecb44989",
            "name": "Test Tester",
            "email": "test@test.com",
            "orderDate": "Jul 14 2022",
            "orderTime": "06:52 PM",
            "displayStatus": "Success",
            "paymentMethod": "Bank",
            "fiatAmount": "159.01",
            "fiatCurrency": "EUR",
            "cryptoAmount": "160.66809427",
            "cryptoCurrency": "USD",
            "paymentMode": "highriskcc",
            "txnHash": "NA",
            "partnerName": "partner",
            "paymentStatus": 1,
            "status": true,
            "receivedAmount": "160.66809426609998",
            "conversionRate": {
                "fiatCurrency": "USD",
                "rate": 0.9896800029049088
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rocketfuel.inc/developer-guides/api-reference/payins/utility-apis/transaction-listing.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
